## smartleia 1.0.0

=== requirements.txt ===
black==19.*,>=19.10.0.b0
bump2version==1.*,>=1.0.0
coverage==5.*,>=5.1.0
flake8==3.*,>=3.7.9
ipython==7.*,>=7.14.0
mypy==0.*,>=0.770.0
pandoc==1.*,>=1.0.2
pylint==2.*,>=2.5.2
pyserial==3.*,>=3.4.0
pytest==5.*,>=5.2.0
pytest-csv==2.*,>=2.0.2
pytest-runner==5.*,>=5.2.0

=== debian/changelog ===
smartleia (1.0.0-2) unstable; urgency=medium

  * [bugfix] patch repository URL

 -- Philippe Thierry <philou@debian.org>  Thu, 22 Oct 2020 10:14:05 +0200

smartleia (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #963500).

 -- Philippe Thierry <philou@debian.org>  Fri, 07 Aug 2020 10:41:07 +0200

=== debian/control ===
Source: smartleia
Section: python
Priority: optional
Maintainer: Philippe Thierry <philou@debian.org>
X-Python3-Version: >= 3.7
Rules-Requires-Root: no
Build-Depends:
 debhelper (>=13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-serial,
 python3-pytest,
 help2man,
 python3-sphinx,
 python3-sphinx-autodoc-typehints,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.spelling
Homepage: https://github.com/h2lab/smartleia
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/philou/smartleia.git
Vcs-Browser: https://salsa.debian.org/philou/smartleia

Package: python3-smartleia
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: LEIA Smartcard reader Python library
 This package handle a Python high level communication API the LEIA
 smart card Side Channel and evaluation board.
 It permit one to interact with smart cards through the ISO 7816 protocol.
 .
 This package installs the library for Python 3.


Package: smartleia
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 python3-smartleia,
 vsmartcard-vpcd
Description: PC/SC VPCD backend connector for LEIA board
 VPCD backend for PC/SC daemon to handle LEIA board as a generic
 smart card reader.
 This package uses the PC/SC VPCD local socket and handle PC/SC clients
 requests to smart cards connected to the LEIA board through the local
 ttyACM devices.
 .
 This package is built for Python 3.

## smartleia 1.0.1

=== debian/changelog ===
smartleia (1.0.1-2) unstable; urgency=medium

  * [fix]upstream patches not yet tagged as minor version
     Improve Leia board detection integration
     Updated upstream URL in README

 -- Philippe Thierry <philou@debian.org>  Mon, 29 Mar 2021 09:01:33 +0200

smartleia (1.0.1-1) unstable; urgency=medium

  * New upstream verion.

 -- Philippe Thierry <philou@debian.org>  Tue, 23 Mar 2021 12:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Philippe Thierry <philou@debian.org>
-X-Python3-Version: >= 3.7
+X-Python3-Version: >= 3.9
 Rules-Requires-Root: no
 Build-Depends:
  debhelper (>=13),
@@ -17,7 +17,7 @@
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.spelling
 Homepage: https://github.com/h2lab/smartleia
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/philou/smartleia.git
 Vcs-Browser: https://salsa.debian.org/philou/smartleia

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE=1

# here, the python library is built using autoconf/automake build system. Thus, autoreconf buildsystem is forced.
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# this target is to be executed out of automatic compilation steps. The output, vicc.1
# has to be keeped in the git repository
genman:
	go-md2man -in debian/smartleia.1.md -out debian/smartleia.1
	echo "*** This target should not be executed automatically ***"
	echo "*** as a consequence, it always return an error      ***"
	echo "*** be sure to update the man page when the markdown ***"
	echo "*** file is updated                                  ***"
	exit 1

=== debian/tests/control ===
Tests: check-python-interop
Restrictions: allow-stderr
Depends: @

=== debian/watch ===
version=4
  https://github.com/h2lab/smartleia/tags .*/v?(\d\S*)\.tar\.gz
